Health Update Manager Query Monitored Entities

Health Update Manager Query Monitored Entities
Returns the list of managed entities monitored by the given provider.

Returns the list of managed entities monitored by the given provider.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HealthUpdateManager/{moId}/QueryMonitoredEntities
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HealthUpdateManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryMonitoredEntitiesRequestType of type(s) application/json
Required
{
    "providerId": "string"
}
string
providerId
Required

The provider id.

Authentication
This operation uses the following authentication methods.
Responses
200

The list of monitored managed entities.

[
    {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
]
array of object
Optional

Reference to an instance of the ManagedEntity managed object.


500

NotFound: If no provider with this id is registered.

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"providerId":"string"}' https://{api_host}/sdk/vim25/{release}/HealthUpdateManager/{moId}/QueryMonitoredEntities